Module java.compiler
Package javax.annotation.processing

## Interface Completion

    public interface Completion

A suggested completion for an annotation. A completion is text meant to be inserted into a program as part of an annotation.

Since:
  1.6

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getMessage()` Returns an informative message about the completion.
`String` `getValue()` Returns the text of the suggested completion.

### Method Detail

#### getValue

    String getValue()

Returns the text of the suggested completion.

Returns:
  the text of the suggested completion.

#### getMessage

    String getMessage()

Returns an informative message about the completion.

Returns:
  an informative message about the completion.